summaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
authorYun Zheng Hu <hu@fox-it.com>2011-09-19 00:01:52 +0200
committerChristian Ruppert <idl0r@gentoo.org>2011-09-19 00:04:19 +0200
commitbf49e59e3eb4fe12167812bc1b4531742eddc383 (patch)
treec3208b04beec9b2af125dda7cd8b97faaab4587b /net
parentfb485366e68d2b4bfb868693b07a57969a1faa90 (diff)
downloadopenrc-bf49e59e3eb4fe12167812bc1b4531742eddc383.tar.gz
openrc-bf49e59e3eb4fe12167812bc1b4531742eddc383.tar.bz2
openrc-bf49e59e3eb4fe12167812bc1b4531742eddc383.tar.xz
Don't do anything if the interface doesn't exist
iproute2_post_stop() does now check if the network interface still exist. Reported-by: Yun Zheng Hu <hu@fox-it.com> X-Gentoo-Bug: 379575 X-Gentoo-Bug-URL: https://bugs.gentoo.org/379575
Diffstat (limited to 'net')
-rw-r--r--net/iproute2.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/net/iproute2.sh b/net/iproute2.sh
index 2e02fbe..765294a 100644
--- a/net/iproute2.sh
+++ b/net/iproute2.sh
@@ -301,6 +301,9 @@ iproute2_post_start()
iproute2_post_stop()
{
+ # Only do something if the interface actually exist
+ _exists || return
+
# Kernel may not have IP built in
if [ -e /proc/net/route ]; then
local rules="$(service_get_value "ip_rule")"